<?php
/**
 * Created by PhpStorm.
 * User: Etudiant0
 * Date: 11/07/2018
 * Time: 12:01
 */

namespace App\Form;


use App\Entity\Box;
use App\Entity\Produits;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class BoxType extends AbstractType
{

    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('Nom', TextType::class, [
                'required' => true,
                'attr' => [
                    'placeholder' => 'Nom de la box'
                ]
            ])
            // utiliser les assert pour rendre le champ obligatoire
            ->add('produits', EntityType::class, [
                'class'          => Produits::class,
                'choice_label'   => 'nom',
                'multiple'       => true,
                'expanded'       => true
            ])
            ->add('save', SubmitType::class, [
                'label' => 'Créer la box',
                'attr' => array('class' => 'save')
            ]);

       // parent::buildForm($builder, $options); // TODO: Change the autogenerated stub
    }

    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => Box::class,
        ));

        //parent::configureOptions($resolver); // TODO: Change the autogenerated stub
    }

}